.red_text
{
    color: rgb(216, 15, 15);
    font-size: 22px;
} 
.green_text
{
    color: rgb(5, 114, 76);
    font-size: 22px;
}

.black_text
{
    color: rgb(12, 12, 12);
    font-size: 22px;
}

.content-wrapper {
    background-color: #ffffff;
    padding: 0px;
}

.tooltip-custom {
    position: relative;
    display: inline-block;
    border-bottom: 1px dotted black;
}

.tooltip-custom .tooltiptext {
    visibility: hidden;
    width: 120px;
    background-color: black;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;

    /* Position the tooltip */
    position: absolute;
    z-index: 1;
}

.tooltip-custom:hover .tooltiptext {
    visibility: visible;
}

input.ng-dirty.ng-invalid { 
color: red;
border-radius: 50px;
}
.autocompleteBox{
    background: #ffffff;
    width: 83%;
    /*padding-left: 5px;*/
    position: absolute;
    border: 2px solid #f0f0f0;
    border-radius:50px;
    z-index: 1;
    overflow-y: scroll ;
}

.autocompleteBox > span{
    padding:4px;
    display:block;
    border-bottom:2px solid #f0f0f0;

}
.hide_column{
    display : none;
}

.datepicker{
    z-index:1060 !important;
}
.widthClass {
    width: 10%;
}
.sNoClass {
    width : 5%;
}
.productClass{
    width : 8%;
}
.groceryProductClass{
    width : 5%;
}
.groceryCheckClass{
    width : 2%;
}

.overlay {
    position: fixed;
    left: 25%;
    top: 17%;
    border: 2px solid black;
    background-color: #ffffff;
    width: 60%;
    min-height: 5%;
    max-height: 80%;
    z-index: 100;
    border-radius: 5px;
    overflow : scroll;
}
.sort-btn {
    padding:0px;
    float:right;
    font-size:10px;
}
.fade1 {
    position: fixed;
    left: 0%;
    top: 0%;
    background-color: black;
    -moz-opacity: 0.7;
    opacity: .70;
    filter: alpha(opacity=70);
    width: 100%;
    height: 100%;
    z-index: 90;
}
.custom-modal.ng-enter {
    transition: opacity .5s ease-out;
    opacity: 0;
}
.custom-modal.ng-enter.ng-enter-active {
    opacity: 1;
}
.custom-modal.ng-leave {
    transition: opacity .5s ease-out;
    opacity: 1;
}
.custom-modal.ng-leave.ng-leave-active {
    opacity: 0;
}
.modal-backdrop {
    position: inherit;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1040;
    background-color: #000;
}
.list-view {
    padding: 5px;
    /*height: 30px;*/
    /*font-family: MavenProMedium;*/
    font-size: 30px;
    color: #595968;
}
.date-time-input-box{
    border:2px solid #5d5d5d;
    border-radius: 5px;
    padding-left: 2px;
    padding-right: 2px;
}
.list-view-fiter-outer-container{
    background-color: #f0f0f0;
    padding-top:0;
}
.topnavbar {
    border: 0;
    background-color: #58BB3E;
    background-image: none;
}
 .sidebar > .nav > li.active > a{
    color: #fff;
}
.sidebar > .nav > li > a:focus, .sidebar > .nav > li > .nav-item:focus, .sidebar > .nav > li > a:hover, .sidebar > .nav > li > .nav-item:hover{
    color: #fff ;
    background-color:  var(--secondaryColor) ; 
}
.sidebar-subnav>li .nav>li {
    padding-left: 15px!important;
}

.topnavbar .navbar-header .brand-logo {
    display: block;
    width: 101%;
    padding-top: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.brand-logo img{
    width: 79px;
}
.order-list-table table thead tr{
    background: #58BB3E;
    color: white;
}
.carousel-control.left, .carousel-control.right {
    background-image:none !important;
    filter:none !important;

}

.purchaseReport-list-table table thead tr{
    background: #58BB3E;
    color: white;
}
.order-list-table label, body table.dataTable thead th, body .dataTables_wrapper .dataTables_length, body .dataTables_wrapper .dataTables_filter, body .dataTables_wrapper .dataTables_info, body .dataTables_wrapper .dataTables_processing, body .dataTables_wrapper .dataTables_paginate{

}
.purchaseReport-list-table label, body table.dataTable thead th, body .dataTables_wrapper .dataTables_length, body .dataTables_wrapper .dataTables_filter, body .dataTables_wrapper .dataTables_info, body .dataTables_wrapper .dataTables_processing, body .dataTables_wrapper .dataTables_paginate{

}
body .dataTables_wrapper .dataTables_paginate .paginate_button.current, body .dataTables_wrapper .dataTables_paginate .paginate_button.current:hover{
    background-color: #58BB3E!important;
    border-color: #58BB3E!important;
}
.order-list-table table thead tr th{
    color: white;
}
.purchaseReport-list-table table thead tr th{
    color: white;
}

.order-detail-outer-container{
    padding: 10px;
}

.order-detail-outer-container h3.ng-binding{
    margin: 0px;
    line-height: 35px;
    color: #3F4246;
    font-size: 15px;
    font-weight: normal;
}

.order-list-table table tbody tr.even{

}


.order-list-table table tr td, .order-list-table table tr th{
    text-align: center;
}
.purchaseReport-list-table table tr td, .purchaseReport-list-table table tr th{
    text-align: center;
}

.order-list-table table{
    width: 100%!important;
    border: 1px solid #58BB3E;
}
.purchaseReport-list-table table{
    width: 100%!important;
    border: 1px solid #58BB3E;
}
.sub-order-list-table  table thead tr{
    background: #58BB3E;
    color: white;
}


.sub-order-list-table  table thead tr th{
    color: white;
}
.sub-order-list-table table tr.even{

}

.sub-order-list-table table tr td, .sub-order-list-table table tr th{
    text-align: left;
}

.margin-right-lg{
    margin-right: 15px;
}
.margin-right-sm{
    margin-right: 5px;
}
.margin-right-md{
    margin-right: 10px;
}
.margin-right-xl{
    margin-right: 20px;
}

.margin-left-lg{
    margin-left: 15px;
}
.margin-left-sm{
    margin-right: 5px;
}
.margin-left-md{
    margin-left: 10px;
}
.margin-left-xl{
    margin-left: 20px;
}



.margin-top-lg{
    margin-top: 15px;
}
.margin-top-sm{
    margin-top: 5px;
}
.margin-top-md{
    margin-top: 10px;
}
.margin-top-xl{
    margin-top: 20px;
}
.align-right{
    text-align:right;
}
.align-left{
    text-align:left;
}
.align-center{
    text-align:center;
}
.float-right{
    float:right;
}
.float-left{
    float:left;
}

.prod-title-acc{
    line-height: 35px;
}

.line-height-35{
    line-height: 35px;
}
.loader{
    text-align: center;
    margin: 20%;
}
.border-right-1{
    border-right: 1px solid #58BB3E;
    padding: 0% 15%;
}

.btn-primary-custom {
    color: #fff;
    background-color: #620dc4;
    width: 150px;
    height: 50px;
    border-radius: 50px;
    font-size: 15px;
    box-shadow: 0 0px 20px 0 rgb(209, 0, 113, 50%);
    margin-top: 20px;
}

.btn-primary-custom:hover {
    color: #fff;
    
}

.padding-md{
    padding: 10px;
}

.order-det-row{
    padding-left: 10px;
    padding-bottom: 5px;
}
.order-list-table .dt-buttons{
    float: none;
    display: inline-block;
    margin-left: 20px;
    text-align: right;
    width: 60%;
    line-height: 42px;
}

.purchaseReport-list-table .dt-buttons {
    display: block;
    float: none;
    text-align: center;
    margin-left: 46%;
    line-height: 35px;
    width: 60%;
    color: rgb(250, 250, 250);


    background-image: none !important;

}
.purchaseReport-list-table .dt-buttons > a.dt-button {

    background-color: #4caf50 !important;

    background-image: none !important;
    border-radius: 0;
    color: #ffffff;
}
.purchaseReport-list-table .dt-buttons > a.dt-button:hover {

    background-color: #4caf50 !important;

    background-image: none !important;
    border-radius: 0;
    color: #000000;
}
.purchaseReport-list-table .dt-buttons > a.dt-button.buttons-csv{

    background-color: #4caf50 !important;

    background-image: none !important;

}

.purchaseReport-list-table .dt-buttons > a.dt-button.buttons-print{
    width: 84px;
    background-color: #4caf50 !important;

    background-image: none !important;

}
.purchaseReport-list-table .dataTables_length{
    margin-top: 10px;
    margin-bottom: 10px;
    float: left;
}
.order-list-table .dataTables_length{
    margin-top: 10px;
    margin-bottom: 10px;
    float: left;
}

.purchaseReport-list-table .dataTables_filter{
    margin-right: 1%;
}
.order-list-table .dataTables_filter{
    margin-right: 1%;
}
.daterangepicker td.active, .daterangepicker td.active:hover {
    background-color: #000000 !important;
}

.pointer{
    cursor: pointer;
}

.order-status-options li:hover{
    color: #58BB3E;
}

.order-detail-heading{
    background-color: #f0f0f0;
}

.panel > .panel-default >.orders{
    border-top-width: 3px;
    padding: 0% 20% 0% 20%;

}


input.ng-invalid {
    border-color: red;
}

input.ng-pristine {
    box-shadow: 0 0px 20px 0 rgb(199 195 195 / 21%);
    border: 1px solid #c0c0c042;
    border-radius: 10px;
    height: 50px;
}

form.ng-pristine {
    border-color: transparent;
    border-radius: 30px !important;
}

.datatable_address {
    width: 19% !important;
}


@media print{
    .nobuttons{
        height:1%;
        display: none;
    }

    .bordernew{
        border:2px solid red;

    }
    .nomargin{
        margin-bottom: 0px;
    }
    .compressed{
        height:1%;
        zoom:0.7;
    }
    .col-sm-2{
        width:1%;
    }
    .col-xs-2{

    }
    .col-md-2{

    }

    .sorting{
        width:1%;
    }

    /*.sorting{*/
    /*border : 2px solid yellow;*/
    /*width:10px !important;*/
    /*}*/


    .dataTables_scrollHeadInner{
        width:980px !important;
    }


    .dataTables_scrollHeadInner > table > thead >tr > th{
        width:10% !important;


    }


    .dataTables_scrollBody{
        width:980px !important;
    }
    .dataTables_scrollBody > table > tbody >tr  >td{
        width:10%!important;
        text-align: center !important;
    }

    .dataTables_filter{
        display: none;
    }

}
.dataTables_wrapper.no-footer table > tbody >tr  >td >img{
    width:65px;
}
.catstyle{
    margin-left: 8%;
}
.purchaseReportPackingClass{
    text-align: left !important;
}
.productSalesReportTotalAmountClass{
    text-align: left !important;
}
.purchaseReportNameClass{
    text-align: left !important;
    width: 183px !important;
}
.productSalesReportNameClass{
    text-align: left !important;
    width: 183px !important;
}
.productSalesReportIdClass{
    text-align: center !important;
    width: 183px !important;
}
.purchaseReportQtyClass{
    text-align: center !important;
    width: 11% !important;
}
.productSalesReportQtyClass{
    text-align: center !important;
    width: 11% !important;
}
.purchaseReportUnitNameClass{
    text-align: center !important;
    width: 162px !important;
}
.productSalesReportUnitNameClass{
    text-align: center !important;
    width: 162px !important;
}
.address{
    border: 0;
    border-bottom: 1px solid #e9e9e9;
    height: 45px;
    width: 90%;
    margin-top: -2px;
    margin-left: 14px;
    outline: none;
}
.pac-container {
    z-index: 1051 !important;
}
.order-list-table{
    overflow:auto;
}
.cashCollectionReportIdClass{
    text-align: center !important;
    width: 6% !important;
}
.cashReportQtyClass{
    text-align: center !important;
    width: 9% !important;
}
.categoryClass{
    text-align : center !important;
    width : 10% !important;
}

.order-detail-select {
    min-width:150px;
    min-height: 45px;
    border-width: 3px;
    border-color: rgba(50, 50, 50, 0.14);
    margin: 10px 10px 10px 0px;
}

.order-detail-action-padding {
    padding: 0 10px;
}

.order-detail-table-row {
    vertical-align: middle !important;
    text-align: center !important;
}

.order-detail-failure-text {
    color:RED;
}

.order-detail-successful-text {
    color:GREEN;
}

.center-div{
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    justify-content: center;
}
div#orderList_filter > label
{
    float:right;
}
div#vendor_filter > label
{
    float:right;
}
div#onBoard_filter > label
{
    float:right;
}
div#onBoard1_filter > label
{
    float:right;
}
div#adjustmentTable_filter > label
{
    float:right;
}
div#campaignList_filter > label
{
    float:right;
}
div#item_filter > label
{
    float:right;
}
div#itemTable_filter > label
{
    float:right;
}
div#promoTable_filter > label
{
    float:right;
}

.panel-box-custom {
    border: transparent;
    background-color: #ffffff;
     margin : 10px;
    border-radius: 10px;
    padding: 0px;

}
.panel-table-custom {
    border: 1px solid #dedede;
    background-color: #ffffff;
    /* box-shadow: 0 6px 12px 0 rgba(0, 0, 0, 0.02); */
    border-radius: 10px;
    border-color: transparent;
    box-shadow: 0 0px 20px 0 rgb(199 195 195 / 21%) !important;
}

.side-margin {
    margin-left: 0.5%;
    margin-right: 0.5%;
    border-radius: 6px;
}
/* ---- loader css start---- */
.glb-ldr-prt {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    z-index: 100000;
    text-align: center;
    /*display: table;*/
}

.gl-ldr-cld {
    /*display: table-cell;*/
    vertical-align: middle;
    text-align: center;
    position: fixed;
    top: 50%;
    left: 50%;
}

.gl-ldr-ctr {
    background-color: #f5f5f5;
    margin: 0 auto;
    border-radius: 10px;
}



#global_loader .gl-ldr-ctr {
    width: 80px;
    height: 80px;
    padding: 15px;
}

.gl-loader {
    width: 50px;
    height: 50px;
    position: relative;
    border-top: 5px solid rgba(0, 0, 0, 0.03);
    border-right: 5px solid rgba(0, 0, 0, 0.03);
    border-bottom: 5px solid var(--mainColor);
    border-left: 5px solid var(--mainColor);
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-animation: load8 1.1s infinite linear;
    animation: load8 1.1s infinite linear;
}

.gl-loader,
.gl-loader:after {
    border-radius: 50%;
}

@-webkit-keyframes gl-loader {
    from{
        -webkit-transform: rotate(0deg);
    }
    to{
        -webkit-transform: rotate(360deg);
    }
}

.gl-loader {
    -webkit-animation: gl-loader 0.5s linear infinite;
}
/* ---- loader css ends ---- */
.fancyButton {
    color: #fff !important;
    background: #5b68f6 !important;
    /* background: #523be4 !important; */
    /* box-shadow: 0 0px 20px 0 rgb(45 16 203 / 50%); */
    transition: all 0.3s !important;
    border-radius: 50px !important;
    text-transform: capitalize !important;
    width:52%;
}
#removeDriver.fancyButton.removeButton {
    background-color: rgba(255, 86, 34, 0) !important;
    border-radius: 50% !important;
    /* border: 2.3px solid #ff5722 !important; */
    box-shadow: 0 0 10px 0 rgba(244, 80, 30, 0); 
}
.actionButton {
    background-color: rgba(255, 86, 34, 0) !important;
    border-radius: 50% !important;
    /* border: 2.3px solid #ff5722 !important; */
    box-shadow: 0 0 10px 0 rgba(244, 80, 30, 0); 
}
.fancyButton:hover.actionButton {
    /* box-shadow: 2px 4px 8px 0 rgb(46, 61, 73, 0%); */
    background: transparent !important;
}

#editAction.editButton{
    background-color: rgba(255, 86, 34, 0) !important;
    border-radius: 50% !important;
    /* border: 2.3px solid #ff5722 !important; */
    box-shadow: 0 0 10px 0 rgba(244, 80, 30, 0); 
}

.md-warn {
    box-shadow: 0px 0px 20px 0 rgba(244, 80, 30, 0.192) !important; ;
    transition: all 0.3s !important;
    text-transform: capitalize !important;
    border-radius: 50px !important; 
    border: 2px solid rgb(244,81,30) !important; 
    background: white; 
    color: rgb(244,81,30);
    height: 50px;
}
.md-warn:hover {
    box-shadow: 2px 4px 8px 0 rgba(255,87,34,50%)!important;
    background: #ff5722;
    border: 2px solid white;
    color: white;
}
.md-raised {
    color: rgb(255,87,34) !important;
    box-shadow: 0px 0px 20px 0 rgb(244 80 30 / 19%) !important;
    transition: all 0.3s !important;
    text-transform: capitalize !important;
    border-radius: 50px !important;
    border: 2px solid rgb(244,81,30) !important;
    background: white !important;
}
.md-reject {
    color: red !important;
    background: white !important;
    border: 2px solid red !important;
    border-radius: 50px !important;
    box-shadow: 0 0px 20px 0  rgba(255, 34, 34, 19%)!important;
    font-weight: 500;
    font-size: 16px;
}
.md-reject:hover {
    color: white !important;
    background: red !important;
    border: 2px solid red !important;
    border-radius: 50px !important;
    box-shadow: 2px 4px 8px 0 rgba(255, 34, 34, 0.5)!important;
    font-weight: 500;
    font-size: 16px;
}
.md-raised:hover {
    box-shadow: 2px 4px 8px 0 rgba(255,87,34,50%)!important;
    background: #ff5722 !important;
    border: 2px solid #ff5722 !important;
    color: white !important;
}
.md-button.md-warn:not([disabled]):hover {
    box-shadow: 2px 4px 8px 0 rgba(255,87,34,50%)!important; ;
    background: #ff5722;
    color: white;
}
.md-button.md-warn[disabled],.md-button.fancyButton[disabled] {
    opacity: 0.1 !important;
    width: 100px;
}

.fancyButton:hover {
    /* box-shadow: 2px 4px 8px 0 rgba(46,61,73,.2); */
    background: #fd15b3 !important;
}

.country_class:hover{
    background-color: lightgrey;
}

.intl-tel-input {
    width: 100%;
}
.intl-tel-input {
    position: relative;
    display: inline-block;
}

.intl-tel-input.allow-dropdown .flag-container, .intl-tel-input.separate-dial-code .flag-container {
    right: auto;
    left: 0;
    /* margin-left: 24px; */
}
.intl-tel-input .flag-container {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    padding: 1px;
}
.intl-tel-input * {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
}

.intl-tel-input.separate-dial-code.allow-dropdown.iti-sdc-3 .selected-flag {
    width: 45px;
    margin-left: 0% !important;
}
.intl-tel-input.separate-dial-code.iti-sdc-3 .selected-flag {
    width: 68px;
}
.intl-tel-input.separate-dial-code.allow-dropdown.iti-sdc-4 input, .intl-tel-input.separate-dial-code.allow-dropdown.iti-sdc-4 input[type=text], .intl-tel-input.separate-dial-code.allow-dropdown.iti-sdc-4 input[type=tel] {
    padding-left: 100px;
}

.intl-tel-input.separate-dial-code .selected-flag {
    /* background-color: transparent; */
    display: table;
    
}
.intl-tel-input.allow-dropdown .selected-flag, .intl-tel-input.separate-dial-code .selected-flag {
    width: 46px;
}
.intl-tel-input .selected-flag {
    z-index: 1;
    position: relative;
    width: 36px;
    height: 100%;
    padding: 0 0 0 8px;
}
.intl-tel-input * {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
}

.intl-tel-input .selected-flag .iti-flag {
    position: absolute;
    top: 0;
    bottom: 0;
    margin: auto;
}
.iti-flag.in {
    height: 14px;
    background-position: -2413px 0px;
}
.iti-flag {
    width: 20px;
    height: 15px;
    box-shadow: 0px 0px 1px 0px #888;
    background-image: url(../img/flags.png);
    background-repeat: no-repeat;
    background-color: #DBDBDB;
    background-position: 20px 0;
}
.iti-flag {
    width: 20px;
}
.intl-tel-input * {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
}

.intl-tel-input.separate-dial-code .selected-dial-code {
    display: table-cell;
    padding-right: 10px;
    vertical-align: middle;
    margin-left: auto;
}
.intl-tel-input * {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
}

.intl-tel-input .selected-flag .iti-arrow {
    position: absolute;
    top: 50%;
    margin-top: -2px;
    right: 6px;
    width: 0;
    height: 0;
    border-left: 3px solid transparent;
    border-right: 3px solid transparent;
    border-top: 4px solid #555;
}

.intl-tel-input .country-list {
    position: absolute;
    z-index: 2;
    list-style: none;
    text-align: left;
    padding: 0;

    box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.2);
    background-color: white;
    border: 1px solid #CCC;
    white-space: nowrap;
    max-height: 200px;
    overflow-y: scroll;
    margin-left: 28px;
}
.intl-tel-input .hide {
    display: none;
}
.hide {
    display: none!important;
}
.intl-tel-input * {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
}
.hide {
    display: none!important;
}
div[title="Draw a shape"] {
    content: url(../../app/img/edit2.png) !important;
    height: 40px;
    width: 40px;
    cursor: pointer;
}
div[title="Stop drawing"] {
    content: url(../../app/img/edit2.png) !important;
    height: 40px;
    width: 40px;
    cursor: pointer;
    display: none
}


.toggle_color {
    background-color: #fff;
    color: #636366;
}
.sidebar-toggle .toggle_color a:hover{
    background-color: #fff;
    color: white !important;
    text-decoration: none !important;
}
a:focus{
    text-decoration: none !important;
}
.selected_class.active{
    background-color: white;
    color: #636366;
}
.toggle_color.active{
    background-color: white;
    color: #636366 !important;
    text-decoration: none !important;
}

#overlay {
    position: fixed;
    display: block;
    width: 0%;
    height: 100%;
    top: 0;
    left: 50;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,0.5);
    z-index: 1000;
    cursor: pointer;
}
.marginLeft {
    margin-left: 0 !important;
}
.md-button.md-raised[disabled] {
    box-shadow: 0px 0px 20px 0 rgb(244 80 30 / 19%) !important;
    transition: all 0.3s !important;
    border-radius: 50px !important;
    border: 2px solid rgb(244,81,30) !important;
    opacity: 0.65;
    cursor: not-allowed;
    color: rgb(255,87,34);
}


.md-button.md-default-theme.md-fab, .md-button.md-fab {
    background-color: var(--secondaryColor) !important;
    color: rgb(255,255,255);
}
@keyframes spinner {
    0% {
        transform: rotateZ(0deg);
    }
    100% {
        transform: rotateZ(359deg);
    }
}
* {
    box-sizing: border-box;
}